Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSurfaceReconstructionFilter Class Reference

`#include <vtkSurfaceReconstructionFilter.h>`

Inheritance diagram for vtkSurfaceReconstructionFilter:

[legend]
Collaboration diagram for vtkSurfaceReconstructionFilter:

[legend]
List of all members.

## Detailed Description

reconstructs a surface from unorganized points

Date:
  2002/06/18 18:47:25

Revision:
  1.18

vtkSurfaceReconstructionFilter takes a list of points assumed to lie on the surface of a solid 3D object. A signed measure of the distance to the surface is computed and sampled on a regular grid. The grid can then be contoured at zero to extract the surface. The default values for neighborhood size and sample spacing should give reasonable results for most uses but can be set if desired. This procedure is based on the PhD work of Hugues Hoppe: http://www.research.microsoft.com/-hoppe

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (77%)
  - Martin, Ken (13%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkSurfaceReconstructionFilter.cxx)`
  - .`h` (`/Imaging/vtkSurfaceReconstructionFilter.h)`

Examples:
  vtkSurfaceReconstructionFilter (Examples)

Tests:
  vtkSurfaceReconstructionFilter (Tests)

Definition at line 54 of file vtkSurfaceReconstructionFilter.h.

## Public Types
typedef vtkDataSetToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | GetNeighborhoodSize ()
virtual void | SetNeighborhoodSize (int)
virtual float | GetSampleSpacing ()
virtual void | SetSampleSpacing (float)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSurfaceReconstructionFilter * | SafeDownCast (vtkObject *o)
vtkSurfaceReconstructionFilter * | New ()
## Protected Methods
| vtkSurfaceReconstructionFilter ()
| ~vtkSurfaceReconstructionFilter ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *)
## Protected Attributes
int | NeighborhoodSize
float | SampleSpacing

## Member Typedef Documentation

typedef vtkDataSetToImageFilter vtkSurfaceReconstructionFilter::Superclass

| Reimplemented from vtkDataSetToImageFilter. Definition at line 57 of file vtkSurfaceReconstructionFilter.h.

## Constructor & Destructor Documentation

vtkSurfaceReconstructionFilter::vtkSurfaceReconstructionFilter | ( |  | ) | `[protected]`

vtkSurfaceReconstructionFilter::~vtkSurfaceReconstructionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 83 of file vtkSurfaceReconstructionFilter.h.

## Member Function Documentation

virtual const char* vtkSurfaceReconstructionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToImageFilter.

int vtkSurfaceReconstructionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

virtual int vtkSurfaceReconstructionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

vtkSurfaceReconstructionFilter* vtkSurfaceReconstructionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToImageFilter.

void vtkSurfaceReconstructionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToImageFilter.

vtkSurfaceReconstructionFilter* vtkSurfaceReconstructionFilter::New | ( |  | ) | `[static]`

| Construct with NeighborhoodSize=20. Reimplemented from vtkObject.

virtual int vtkSurfaceReconstructionFilter::GetNeighborhoodSize | ( |  | ) | `[virtual]`

| Specify the number of neighbors each point has, used for estimating the local surface orientation. The default value of 20 should be OK for most applications, higher values can be specified if the spread of points is uneven. Values as low as 10 may yield adequate results for some surfaces. Higher values cause the algorithm to take longer. Higher values will cause errors on sharp boundaries.

virtual void vtkSurfaceReconstructionFilter::SetNeighborhoodSize | ( | int |  | ) | `[virtual]`

| Specify the number of neighbors each point has, used for estimating the local surface orientation. The default value of 20 should be OK for most applications, higher values can be specified if the spread of points is uneven. Values as low as 10 may yield adequate results for some surfaces. Higher values cause the algorithm to take longer. Higher values will cause errors on sharp boundaries.

virtual float vtkSurfaceReconstructionFilter::GetSampleSpacing | ( |  | ) | `[virtual]`

| Specify the spacing of the 3D sampling grid. If not set, a reasonable guess will be made.

virtual void vtkSurfaceReconstructionFilter::SetSampleSpacing | ( | float |  | ) | `[virtual]`

| Specify the spacing of the 3D sampling grid. If not set, a reasonable guess will be made.

virtual void vtkSurfaceReconstructionFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkSurfaceReconstructionFilter::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

## Member Data Documentation

int vtkSurfaceReconstructionFilter::NeighborhoodSize`[protected]`

| Definition at line 88 of file vtkSurfaceReconstructionFilter.h.

float vtkSurfaceReconstructionFilter::SampleSpacing`[protected]`

| Definition at line 89 of file vtkSurfaceReconstructionFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkSurfaceReconstructionFilter.h